docs

# filterCommandsInsideTextMessages

fun < T : ContentMessage < TextContent >> Flow< T >. filterCommandsInsideTextMessages (commandRegex: Regex ): Flow< T >
Content copied to clipboard

Convert incoming dev.inmo.tgbotapi.types.message.abstracts.ContentMessage.content of messages with fullEntitiesList and check that incoming message contains BotCommandTextSource. Besides, it is checking that BotCommandTextSource.command with incoming commandRegex

#### Return

The same message in case if it contains somewhere in text BotCommandTextSource with Regex.matches

## See also

fullEntitiesList
asContentMessagesFlow
onlyTextContentMessages
textMessages